#include "xaudioxmaformat.h"

XAudioXmaFormat::XAudioXmaFormat()
    : XAsset()
    , mSampleRate(0)
    , mChannelCount(0)
    , mDecodeBufferSize(0)
{
    SetName("Audio XMA Format");
}

XAudioXmaFormat::~XAudioXmaFormat()
{

}

void XAudioXmaFormat::ParseData(XDataStream *aStream)
{
    mSampleRate = aStream->ParseUInt32(QString("%1 sample rate").arg(GetName()));
    mChannelCount = aStream->ParseUInt8(QString("%1 channel count").arg(GetName()));
    mDecodeBufferSize = aStream->ParseUInt8(QString("%1 decode buffer size").arg(GetName()));
}

void XAudioXmaFormat::Clear()
{
    mSampleRate = 0;
    mChannelCount = 0;
    mDecodeBufferSize = 0;
}
